#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SeniorDrawCFGData
{
	//编号
	int mID;
	//鱼ID
	int mFishId;
	//图形ID
	std::vector<int> mGraphicalId;
	//倍率
	int mmult;
	//抽中权重
	int mLotteryProbability;
};

class Fish_SeniorDrawCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorDrawCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorDrawCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SeniorDrawCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SeniorDrawCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SeniorDrawCFGData> mMapData;
};
